//*****************************************************************************
//*
//*
//*		BinaryCodec.h
//*
//*
//*****************************************************************************
#ifndef		__BINARYCODEC_H__
#define 	__BINARYCODEC_H__

#include	"cipher.h"
#include	"digest.h"
#include	"HttpMd5.h"


//*****************************************************************************
//*
//*		Klasse	BinaryCodec_RCF
//*
//*****************************************************************************
class BinaryCodec_RCF
{
public:

	BinaryCodec_RCF();
   ~BinaryCodec_RCF();
	void initKey  (const sal_uInt16 pnPassData[ 16 ],const sal_uInt8 pnUnique    [ 16 ]);
	bool verifyKey(const sal_uInt8  pnSaltData[ 16 ],const sal_uInt8 pnSaltDigest[ 16 ]);
	bool startBlock( sal_Int32 nCounter );
	bool decode( sal_uInt8 *pnDestData,const sal_uInt8 *pnSrcData,sal_Int32 nBytes );
	bool skip( sal_Int32 nBytes );
    bool initCipher (sal_uInt32 nCounter);


	rtlDigest	mhDigest;
	rtlCipher	mhCipher;

	unsigned char	mpnDigestValue[16];

};


#endif 	