//*****************************************************************************
//*
//*
//*		HttpMd5.h
//*
//*
//*****************************************************************************
#ifndef		__HTTPMD5_H__
#define		__HTTPMD5_H__

#define 	umd5_32		unsigned 

typedef struct
	{
	umd5_32			aBits  [ 2];
	umd5_32			aBuffer[ 4];
	unsigned char	aInput [64];
	}Md5Context;

void	Md5Init		(Md5Context *pCtx);
void	Md5Final	(Md5Context *pCtx,      void *pOutput);
void	Md5Update	(Md5Context *pCtx,const void *pInput,unsigned uSize);
void	Md5ToString	(      char *pStr,const void *pInput);


#endif
